Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#46617 - [libreoffice-fresh] Crashes at startup after upgrading to GNOME 3.18

Attached to Project: Arch Linux
Opened by Hexcles Ma (bob.robot) - Friday, 09 October 2015, 07:12 GMT
Last edited by Doug Newgard (Scimmia) - Friday, 09 October 2015, 15:53 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 11
Private No

Details

Description:
Today after upgrading to GNOME 3.18, I can't open libreoffice. It was working fine right before the upgrade. Error messages on terminal:

(soffice:14492): GLib-GObject-CRITICAL **: g_value_set_boxed: assertion 'G_VALUE_HOLDS_BOXED (value)' failed
(soffice:14492): GLib-GObject-WARNING **: gtype.c:4268: type id '0' is invalid
(soffice:14492): GLib-GObject-WARNING **: can't peek value table for type '<invalid>' which is not currently referenced
Application Error


Additional info:
* package version(s)
libreoffice-fresh 5.0.2-2
gnome-shell 3.18.0-1
gtk3 3.18.1-1
* config and/or log files etc.


Steps to reproduce:
Start Libreoffice (no matter Writer, Calc or Impress) in GNOME 3.18.
This task depends upon

Closed by  Doug Newgard (Scimmia)
Friday, 09 October 2015, 15:53 GMT
Reason for closing:  Duplicate
Additional comments about closing:   FS#46614 
Comment by Sudaraka Wijesinghe (sudaraka) - Friday, 09 October 2015, 09:25 GMT
I'm experiencing the same issue after gtk3 update this morning. As a temporary fix I downgrading to gtk3 3.16.7-1.

P.s.
I don't use Gnome Desktop, just using gtk3 and some Gnome utilities that depend on it.
Comment by michiel verboven (mverboven) - Friday, 09 October 2015, 11:09 GMT
this only occurs when:
gtk+ theme is not the default theme of Adwaita.

see also https://bugs.archlinux.org/task/46614 :  FS#46614  - evolution 3.18.0-1 crash when using GTK+ other than default
Comment by Victor (archil) - Friday, 09 October 2015, 15:40 GMT
I accept this bug.

Loading...